AUPARSE_GET_FIELD_STR(3)

NAME
auparse_get_field_str - get current field's value

SYNOPSIS
#include <auparse.h>

const char * auparse_get_field_str(const auparse_state_t *au);"

DESCRIPTION

auparse_get_field_str allows access to the value in the current field of the current record in the current event.

RETURN VALUE

Returns NULL if an error occurs; otherwise, a pointer to the field's value.

SEE ALSO

auparse_get_field_name(3), auparse_get_field_int(3), auparse_interpret_field(3), auparse_next_field(3).

AUTHOR
Steve Grubb